package yawlservice;

public abstract class YAWLMessage {

  protected static final String SEPARATOR = "|";

  protected YAWLMessage(){
    super();
  }

  protected abstract String getBody();
  protected abstract String getType();


  public String toString(){
    return  getType()  + SEPARATOR + getBody();
  }

  public boolean requiresResponse(){
    return false;
  }
}
